huge nubmer of conflicts after running intall

Anything that pertains to Portage

Moderator: Moderators

huge nubmer of conflicts after running intall

Postby wryoung98 » Sun Nov 16, 2008 7:33

I just installed Sabayon from the 3.5.1 DVD

I ran
emerge --sync && layman -S
and then
emerge -DuNp world

and received a huge number of conflicts.


    [ebuild N ] dev-python/gtksourceview-python-2.24.0 USE="-debug -doc -examples"
    [ebuild U ] gnome-extra/deskbar-applet-2.24.1 [2.22.3.1]
    [ebuild U ] dev-python/gnome-python-desktop-2.24.0 [2.22.0]
    [blocks b ] <dev-python/gnome-python-desktop-2.22.0-r10 ("<dev-python/gnome-python-desktop-2.22.0-r10" is blocking dev-python/gnome-media-python-2.24.0, dev-python/gnome-keyring-python-2.24.0, dev-python/libgtop-python-2.24.0, dev-python/gtksourceview-python-2.24.0, dev-python/gnome-python-desktop-base-2.24.0, dev-python/gnome-applets-python-2.24.0, dev-python/bug-buddy-python-2.24.0, dev-python/totem-python-2.24.0, dev-python/metacity-python-2.24.0, dev-python/librsvg-python-2.24.0, dev-python/libgnomeprint-python-2.24.0, dev-python/nautilus-cd-burner-python-2.24.0, dev-python/gnome-desktop-python-2.24.0, dev-python/evolution-python-2.24.0, dev-python/libwnck-python-2.24.0)
    [ebuild U ] x11-base/xorg-server-1.5.2 [1.4.2] USE="nptl* -tslib%" INPUT_DEVICES="-tslib% -void*" VIDEO_CARDS="-ast% -dummy* -fbdev* -intel% -radeonhd% -vesa* -vga*"
    [ebuild U ] x11-base/xorg-x11-7.4 [7.3]
    [uninstall ] x11-drivers/xf86-video-imstt-1.1.0
    [blocks b ] x11-drivers/xf86-video-imstt ("x11-drivers/xf86-video-imstt" is blocking x11-base/xorg-server-1.5.2)
    [uninstall ] x11-drivers/xf86-video-cyrix-1.1.0
    [blocks b ] x11-drivers/xf86-video-cyrix ("x11-drivers/xf86-video-cyrix" is blocking x11-base/xorg-server-1.5.2)
    [uninstall ] x11-drivers/ati-drivers-8.512-r10
    [blocks b ] x11-drivers/ati-drivers ("x11-drivers/ati-drivers" is blocking x11-base/xorg-server-1.5.2)
    [uninstall ] x11-drivers/xf86-video-vga-4.1.0
    [blocks b ] x11-drivers/xf86-video-vga ("x11-drivers/xf86-video-vga" is blocking x11-base/xorg-server-1.5.2)
    [uninstall ] x11-drivers/xf86-video-nsc-2.8.3
    [blocks b ] x11-drivers/xf86-video-nsc ("x11-drivers/xf86-video-nsc" is blocking x11-base/xorg-server-1.5.2)
    [blocks B ] x11-libs/motif-config ("x11-libs/motif-config" is blocking x11-libs/openmotif-2.3.1.1)

    !!! Multiple versions within a single package slot have been pulled
    !!! into the dependency graph, resulting in a slot conflict:

    x11-libs/qt:4

    ('ebuild', '/', 'x11-libs/qt-4.3.5', 'merge') pulled in by
    @world
    ('installed', '/', 'media-video/smplayer-0.6.5', 'nomerge')

    ('ebuild', '/', 'x11-libs/qt-4.4.2', 'merge') pulled in by
    @world
    ('installed', '/', 'net-dns/avahi-0.6.23', 'nomerge')
    ('installed', '/', 'x11-libs/nucleo-0.6-r2', 'nomerge')
    (and 4 more)

    net-libs/ortp:0

    ('installed', '/', 'net-libs/ortp-0.7.1-r1', 'nomerge') pulled in by
    @world
    ('installed', '/', 'kde-base/kopete-3.5.10-r1', 'nomerge')

    ('ebuild', '/', 'net-libs/ortp-0.13.1', 'merge') pulled in by
    @world

    media-video/mplayer:0

    ('installed', '/', 'media-video/mplayer-1.0_rc2_p27458', 'nomerge') pulled in by
    @world
    ('installed', '/', 'media-video/smplayer-0.6.5', 'nomerge')

    ('ebuild', '/', 'media-video/mplayer-1.0_rc2_p27725-r1', 'merge') pulled in by
    @world
    ('ebuild', '/', 'app-cdr/k9copy-1.2.3-r2', 'merge')
    ('ebuild', '/', 'media-video/manencode-1.0', 'merge')
    (and 1 more)


    It may be possible to solve this problem by using package.mask to
    prevent one of those packages from being selected. However, it is also
    possible that conflicting dependencies exist such that they are
    impossible to satisfy simultaneously. If such a conflict exists in the
    dependencies of two different packages, then those packages can not be
    installed simultaneously.

    For more information, see MASKED PACKAGES section in the emerge man page
    or refer to the Gentoo Handbook.


    !!! Problems have been detected with your world file
    !!! Please run emaint --check world


    !!! Ebuilds for the following packages are either all
    !!! masked or don't exist:
    net-dialup/slmodem:2.6.26-sabayon x11-drivers/ati-drivers:2.6.25-sabayon-r1 net-wireless/ndiswrapper:2.6.26-sabayon net-wireless/linux-wlan-ng-modules:2.6.25-sabayon-r1 net-misc/et131x:2.6.26-sabayon media-video/manslide net-wireless/madwifi-ng:2.6.26-sabayon app-portage/etcproposals net-misc/et131x:2.6.25-sabayon-r1 net-wireless/acx:2.6.26-sabayon net-dialup/slmodem:2.6.25-sabayon-r1 net-wireless/acx:2.6.25-sabayon-r1 app-crypt/gpgme:0.3 sys-auth/pam_ssh_agent app-emulation/virtualbox-modules:2.6.26-sabayon x11-drivers/nvidia-drivers:2.6.26-sabayon sys-power/powersave dev-util/cogito app-admin/liboobs: net-wireless/ndiswrapper:2.6.25-sabayon-r1 media-video/gspcav1:2.6.25-sabayon-r1 x11-drivers/ati-drivers:2.6.26-sabayon media-video/linux-uvc:2.6.25-sabayon-r1 net-dns/resolvconf-gentoo media-video/gspcav1:2.6.26-sabayon

    !!! The following installed packages are masked:
    - media-video/realplayer-11.0.0.4028-r1 (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Steve Dibb <beandog@gentoo.org> (5 Nov 2008)
    # Mask realplayer, real codecs for security, upstream issues, bug 245662

    - sys-fs/e2fsprogs-1.41.3-r1 (masked by: package.mask)
    - media-libs/amd64codecs-20071007 (masked by: package.mask)
    For more information, see the MASKED PACKAGES section in the emerge
    man page or refer to the Gentoo Handbook.


Is this normal for a sabayon install even with gentoo I got a snapshot and I did not have many or any conflicts.

How did others install and then update there distro.

Any help would be appreciated.

Thanks
wryoung98
Baby Hen
 
Posts: 1
Joined: Sun Nov 16, 2008 7:22

Re: huge nubmer of conflicts after running intall

Postby wolfden » Sun Nov 16, 2008 11:18

Moved to Correct Forum - This in NOT an Install Issue. please use correct forums
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: huge nubmer of conflicts after running intall

Postby wolfden » Tue Nov 18, 2008 9:42

First see:
http://www.gentoo.org/doc/en/handbook/h ... #doc_chap4
it talks about Blocked Packages - work the blocked pages out one by one

2nd - SL installs via binary/entropy so things are going to vary from portage. The world file isn't dynamic to the install so your world file can and will be off.

You will have to sort thru the various conflicts manually to go to a full portage system. This will include cleaning up your world file and removing non portage package versions like x11-drivers/nvidia-drivers:2.6.26-sabayon. You will also want to clean out your /etc/make.conf file and rebuild - why? to reduce conflicts in portage for one.

For a portage system - I would recommend a core-install, edit the config files and start building.

Other option - install and stick with entropy/binary system
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: huge nubmer of conflicts after running intall

Postby chsims1 » Wed Nov 19, 2008 8:57

It would be great if the installation gave you the choice of using portage or entropy (perhaps as an advanced option so as not to confuse people) and produced a world file appropriate to your choice. If you're doing a new installation and you want to use portage, it seems a little backward to have to do all the re-jigging.
chsims1
Growing Hen
 
Posts: 128
Joined: Wed Mar 07, 2007 8:53
Location: UK

Re: huge nubmer of conflicts after running intall

Postby wolfden » Wed Nov 19, 2008 9:20

I agree with that and I brought up some of the issues in his post to get fixed. So hopefully now portage won't scream about the packages not installed or no longer available due to the naming convention.

It helps when users post issues like that here or to bugzilla. Once we can confirm the issue, we can than try to get it fixed. Portage is my preferred method so I seen the same things he ran into and currently all you can do is manually work thru it one by one.
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests